@PACKAGE_INIT@

set(@PROJECT_NAME@_VERSION "@PROJECT_VERSION@")
set_and_check(@PROJECT_NAME@_INSTALL_PREFIX "${PACKAGE_PREFIX_DIR}")
set_and_check(@PROJECT_NAME@_INC_DIR "${PACKAGE_PREFIX_DIR}/include")
set_and_check(@PROJECT_NAME@_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")
set_and_check(@PROJECT_NAME@_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set_and_check(@PROJECT_NAME@_LIBRARY_DIR "${PACKAGE_PREFIX_DIR}/lib")

set(@PROJECT_NAME@_LIB gctl_mesh)
set(@PROJECT_NAME@_LIBRARY gctl_mesh)

set(@PROJECT_NAME@_EXPRTK @GCTL_MESH_EXPRTK@)
set(@PROJECT_NAME@_WAVELIB @GCTL_MESH_WAVELIB@)

message(STATUS "[GCTL_MESH] Use the exprtk library: " @GCTL_MESH_EXPRTK@)
message(STATUS "[GCTL_MESH] Use the WaveLib library: " @GCTL_MESH_WAVELIB@)

if(NOT GCTL_FOUND)
    find_package(GCTL REQUIRED)
    include_directories(${GCTL_INC_DIR})
endif()

if(@PROJECT_NAME@_WAVELIB)
    if(NOT WaveLib_FOUND)
        find_package(WaveLib REQUIRED)
        include_directories(${WaveLib_INC_DIR})
    endif()
endif()

# include target information
include("${CMAKE_CURRENT_LIST_DIR}/@PROJECT_NAME@Targets.cmake")

check_required_components(@PROJECT_NAME@)